Install
Make sure you have UE4SS 3.0+ installed.
Extract the BasesPlus.zip file.
Drop the "Pal" folder from the zip into the same directory as your "Pal" folder and everything will be put in place. Optionally you can move it over manually if you prefer.

Current Features
Configuration: All features can be enabled/disabled and rates/values configured via the provided JSON file or using Mod Config Menu (UI).
Base Size Increase: Your base starts at 3500 units (standard base game size). As your base levels past level 1, its area/size grows by 7% per base level.
Max Weight Increase: You start at your standard weight. As your base levels past level 1, your max weight while at your base will increase by 100 units per base level.
Armor/Weapon Auto Repair: As your base levels past level 1, your armor and weapons will automatically repair themselves while at base at a rate of .05 units per base level.
Base Comfort Buff: While you are at your base you will build up time towards a Comfort Buff. The buff will always be active while you are at your base. The buff will have a maximum amount of time that can be built up that scales with the base level. As soon as you leave your base, the time on the Comfort Buff will begin to tick down and will be removed when the time runs out. While the Comfort Buff is active you will passively receive the benefits outlined below labeled for the Comfort Buff.
HP Regen (Comfort Buff): Passively regenerate Health while in your base, or while traveling around with the Comfort Buff.
Stamina Regen (Comfort Buff): Passively regenerate Stamina while in your base, or while traveling around with the Comfort Buff.
Shield Regen (Comfort Buff): Passively regenerate Shield while in your base, or while traveling around with the Comfort Buff.

Server Compatibility
Windows based servers are now supported. For best results both client and server should be running the mod with the same configurations.


Future Plans
Introduce a configurable shared inventory box that shares it's inventory across all bases. Inventory size will scale with level.
Introduce configurable increased number of bases based on the base level.
Update repair feature to require a workbench within the base and add additional benefit from total handi value from handi pals in base.
Update comfort feature to assess a base for a real "comfort level" based on meeting certain building requirements within the base instead of just scaling off the flat base level.
Update comfort feature to also include a passive HP regen for pals.
Update comfort feature to also include a passive buff to capture rate.

Releases
1.1.1 - Replaced the system messages for the comfort buff with an icon/timer, added a configuration value to disable the icon/value from displaying if desired.
1.1.0 - Implemented basic comfort system including applicable configuration values. Comfort buff will now provide passive player HP regen, Stamina Regen and Shield Regen.
1.0.0 - Refactored code base fixing most current issues, introduced LUA script for better code execution, introduced armor/weapon repair feature, introduce support for Mod Config Menu (UI)
0.1.2 - Added configuration JSON file so features can be enabled/disabled and feature rates can be adjusted
0.1.1 - Fixed issue with weight formula not restoring proper weight when leaving base, cleaned up event tick so it doesn't fire on client side at all
0.1.0 - Implemented server support, fixed formula for base size so upgrades properly start at level 2
0.0.1 - Launched mod with base size and base weight upgrades mostly functional